package com.zskk.dicom.monitor.monitors;

import java.io.File;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.uploader.UploadsQueue;
import com.zskk.dicom.monitor.utils.MonitorFileUtils;

public class InitMonitor {

	/**
	 * 系统启动时，将目录中的图片进行上传处理
	 */
	public static void start() {
		Configs.sysLog.info("Dicom monitor check waiting files ...");
		File monitorDir = new File(Configs.monitorDir);
		// 判断备份目录是否存在
		MonitorFileUtils.touchBackDir(monitorDir);
		// 处理监控开启前未处理的文件
		UploadsQueue.init();
	}

}
