package com.zskk.dicom.monitor.schedules;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.springframework.context.annotation.Lazy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.zskk.dicom.monitor.config.Configs;

@Component
@EnableScheduling
@Lazy(false)
public class StatTimer {

	DateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

	/**
	 * 每小时重启一次
	 */
	@Scheduled(cron = "0 0 * * * ?")
	public void timmer_1() {
		Configs.sysLog.info("Scheduled--" + df.format(new Date()));
		StatRunner.start();
	}

}