package com.zskk.dicom.monitor.utils;

public class ExceptionUtil {

	/**
	 * 获取异常信息
	 * 
	 * @param e
	 * @return
	 */
	public static String getExceptionTxt(Throwable e) {
		StringBuilder sOut = new StringBuilder();
		sOut.append("----------\r\n<br />");
		sOut.append(e.getMessage() + "\r\n<br />");
		StackTraceElement[] trace = e.getStackTrace();
		for (StackTraceElement s : trace) {
			String ste = s.toString();
			if (ste.contains("com.zskk")) {
				sOut.append(s + "\r\n<br />");
			}
		}
		return sOut.toString();
	}

}
